package br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl;


/**
 * The extended model implementation for the GrupoDestinatario service. Represents a row in the &quot;PRT_GESTMSG_GRP_DESTINATARIO&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * Helper methods and all application logic should be put in this class. Whenever methods are added, rerun ServiceBuilder to copy their definitions into the {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario} interface.
 * </p>
 *
 * @author Henrique Simoes
 */
public class GrupoDestinatarioImpl extends GrupoDestinatarioBaseImpl {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never reference this class directly. All methods that expect a grupo destinatario model instance should use the {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario} interface instead.
     */
    public GrupoDestinatarioImpl() {
    }
    
    private String descricaoTipoLista;
    
    public String getDescricaoTipoLista(){
    	
    	if (getTipoLista() == 0){
    		descricaoTipoLista = "Destinatários";
    	} else if (getTipoLista() == 1){
    		descricaoTipoLista = "Conta de Envio";
    	}
    	
    	return descricaoTipoLista;
    }
}
